#include <iostream>
#include <vector>

class Gene{
     int id;
     std::string code;
public:
     Gene():id(-1), code(""){}
     Gene(int _id, std::string _code): id(_id), code(_code){}
     Gene(int _id): id(_id), code(""){}
};

int main(){
    std::vector<Gene> gene_vec(1000000);
    for(int i = 0; i < 1000000; ++i){
          Gene gene(i, "G" + std::to_string(i));
          gene_vec[i] = gene;
     }

    return 0;
}